apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  name: macvlan-cross-node
  namespace: test-macvlan
spec:
  config: '{
      "cniVersion": "0.3.1",
      "type": "macvlan",
      "master": "eno1",
      "mode": "bridge",
      "ipam": {
        "type": "whereabouts",
        "range": "192.168.50.0/24",
        "exclude": [
           "192.168.50.1/32",
           "192.168.50.254/32"
        ],
        "routes": [
          { "dst": "0.0.0.0/0", "gw": "192.168.50.1" }
        ]
      }
    }'
